local COAT_COLLECT_RANK = 50057
local COAT_COLLECT_RANK1 = 50005


local NORMAL_WORD = 1
local ADD_SCORE_WORD = 2
local TASK_WORD = 3
--排行榜需要显示的信息
local RankInfo = {
	[COAT_COLLECT_RANK] = {
		--第一名要显示的信息
		[0] = {
			--需要展示的信息,按比特位进行计算
			--1位是背景光效	  1
			--2位是文字背景   2
			--3位是头像       4
			--4位是头像框     8
			--5位是家族名     16
			--6位是帮派名     32
			--7位是玩家名     64
			--8位是分数图片   128
			--9位是分数       256
			--10位前景光效    512
			--要显示的就为1
			--可以用16进制表示
			["ShowInfo"] = 0x000003CF;
			--排名的背景光效
			["BgEffect"] = "CoatStor_btnxh",
			--控件大小，至少要比头像大，同于响应点击操作
			["RealSize"] = 80,
			--头像框
			["FgHead"] = "CoatStor_Ranktxk1",
			--前景光效
			["FgEffect"] = "CoatStor_qmdzg",
		},
		--第二名要显示的信息
		[1] = {
			["ShowInfo"] = 0x000003CF;
			--排名的背景光效
			["BgEffect"] = "CoatStor_btnxh",
			--控件大小，至少要比头像大，同于响应点击操作
			["RealSize"] = 64,
			--头像框
			["FgHead"] = "CoatStor_Ranktxk2",
			--前景光效
			["FgEffect"] = "CoatStor_qmdzg",
		},
		--第三名要显示的信息
		[2] = {
			["ShowInfo"] = 0x000003CF;
			--排名的背景光效
			["BgEffect"] = "CoatStor_btnxh",
			--控件大小，至少要比头像大，同于响应点击操作
			["RealSize"] = 64,
			--头像框
			["FgHead"] = "CoatStor_Ranktxk3",
			--前景光效
			["FgEffect"] = "CoatStor_qmdzg",
		},
		--第四名要显示的信息
		[3] = {
			["ShowInfo"] = 0x000003CF;
			--排名的背景光效
			["BgEffect"] = "CoatStor_btnxh",
			--控件大小，至少要比头像大，同于响应点击操作
			["RealSize"] = 64,
			--头像框
			["FgHead"] = "CoatStor_Ranktxk4",
			--前景光效
			["FgEffect"] = "CoatStor_qmdzg",
		},
		--第五名要显示的信息
		[4] = {
			["ShowInfo"] = 0x000003CF;
			--排名的背景光效
			["BgEffect"] = "CoatStor_btnxh",
			--控件大小，至少要比头像大，同于响应点击操作
			["RealSize"] = 64,
			--头像框
			["FgHead"] = "CoatStor_Ranktxk5",
			--前景光效
			["FgEffect"] = "CoatStor_qmdzg",
		},
		--第一名要显示的信息
		[5] = {
			["ShowInfo"] = 0x000003CF;
			--排名的背景光效
			["BgEffect"] = "CoatStor_btnxh",
			--控件大小，至少要比头像大，同于响应点击操作
			["RealSize"] = 64,
			--头像框
			["FgHead"] = "CoatStor_Ranktxk6",
			--前景光效
			["FgEffect"] = "CoatStor_qmdzg",
		},
		--第一名要显示的信息
		[6] = {
			["ShowInfo"] = 0x000003CF;
			--排名的背景光效
			["BgEffect"] = "CoatStor_btnxh",
			--控件大小，至少要比头像大，同于响应点击操作
			["RealSize"] = 64,
			--头像框
			["FgHead"] = "CoatStor_Ranktxk7",
			--前景光效
			["FgEffect"] = "CoatStor_qmdzg",
		},
		--第一名要显示的信息
		[7] = {
			["ShowInfo"] = 0x000003CF;
			--排名的背景光效
			["BgEffect"] = "CoatStor_btnxh",
			--控件大小，至少要比头像大，同于响应点击操作
			["RealSize"] = 64,
			--头像框
			["FgHead"] = "CoatStor_Ranktxk8",
			--前景光效
			["FgEffect"] = "CoatStor_qmdzg",
		},
		--第一名要显示的信息
		[8] = {
			["ShowInfo"] = 0x000003CF;
			--排名的背景光效
			["BgEffect"] = "CoatStor_btnxh",
			--控件大小，至少要比头像大，同于响应点击操作
			["RealSize"] = 64,
			--头像框
			["FgHead"] = "CoatStor_Ranktxk9",
			--前景光效
			["FgEffect"] = "CoatStor_qmdzg",
		},
		--第一名要显示的信息
		[9] = {
			["ShowInfo"] = 0x000003CF;
			--排名的背景光效
			["BgEffect"] = "CoatStor_btnxh",
			--控件大小，至少要比头像大，同于响应点击操作
			["RealSize"] = 64,
			--头像框
			["FgHead"] = "CoatStor_Ranktxk10",
			--前景光效
			["FgEffect"] = "CoatStor_qmdzg",
		},


	},
	
	[COAT_COLLECT_RANK1] = {
		--第一名要显示的信息
		[0] = {
			--需要展示的信息,按比特位进行计算
			--1位是背景光效	  1
			--2位是文字背景   2
			--3位是头像       4
			--4位是头像框     8
			--5位是家族名     16
			--6位是帮派名     32
			--7位是玩家名     64
			--8位是分数图片   128
			--9位是分数       256
			--10位前景光效    512
			--要显示的就为1
			--可以用16进制表示
			["ShowInfo"] = 0x000003CF;
			--排名的背景光效
			["BgEffect"] = "CoatStor_btnxh",
			--控件大小，至少要比头像大，同于响应点击操作
			["RealSize"] = 80,
			--头像框
			["FgHead"] = "CoatStor_Ranktxk1",
			--前景光效
			["FgEffect"] = "CoatStor_qmdzg",
		},
		--第二名要显示的信息
		[1] = {
			["ShowInfo"] = 0x000003CF;
			--排名的背景光效
			["BgEffect"] = "CoatStor_btnxh",
			--控件大小，至少要比头像大，同于响应点击操作
			["RealSize"] = 64,
			--头像框
			["FgHead"] = "CoatStor_Ranktxk2",
			--前景光效
			["FgEffect"] = "CoatStor_qmdzg",
		},
		--第三名要显示的信息
		[2] = {
			["ShowInfo"] = 0x000003CF;
			--排名的背景光效
			["BgEffect"] = "CoatStor_btnxh",
			--控件大小，至少要比头像大，同于响应点击操作
			["RealSize"] = 64,
			--头像框
			["FgHead"] = "CoatStor_Ranktxk3",
			--前景光效
			["FgEffect"] = "CoatStor_qmdzg",
		},
		--第四名要显示的信息
		[3] = {
			["ShowInfo"] = 0x000003CF;
			--排名的背景光效
			["BgEffect"] = "CoatStor_btnxh",
			--控件大小，至少要比头像大，同于响应点击操作
			["RealSize"] = 64,
			--头像框
			["FgHead"] = "CoatStor_Ranktxk4",
			--前景光效
			["FgEffect"] = "CoatStor_qmdzg",
		},
		--第五名要显示的信息
		[4] = {
			["ShowInfo"] = 0x000003CF;
			--排名的背景光效
			["BgEffect"] = "CoatStor_btnxh",
			--控件大小，至少要比头像大，同于响应点击操作
			["RealSize"] = 64,
			--头像框
			["FgHead"] = "CoatStor_Ranktxk5",
			--前景光效
			["FgEffect"] = "CoatStor_qmdzg",
		},
		--第一名要显示的信息
		[5] = {
			["ShowInfo"] = 0x000003CF;
			--排名的背景光效
			["BgEffect"] = "CoatStor_btnxh",
			--控件大小，至少要比头像大，同于响应点击操作
			["RealSize"] = 64,
			--头像框
			["FgHead"] = "CoatStor_Ranktxk6",
			--前景光效
			["FgEffect"] = "CoatStor_qmdzg",
		},
		--第一名要显示的信息
		[6] = {
			["ShowInfo"] = 0x000003CF;
			--排名的背景光效
			["BgEffect"] = "CoatStor_btnxh",
			--控件大小，至少要比头像大，同于响应点击操作
			["RealSize"] = 64,
			--头像框
			["FgHead"] = "CoatStor_Ranktxk7",
			--前景光效
			["FgEffect"] = "CoatStor_qmdzg",
		},
		--第一名要显示的信息
		[7] = {
			["ShowInfo"] = 0x000003CF;
			--排名的背景光效
			["BgEffect"] = "CoatStor_btnxh",
			--控件大小，至少要比头像大，同于响应点击操作
			["RealSize"] = 64,
			--头像框
			["FgHead"] = "CoatStor_Ranktxk8",
			--前景光效
			["FgEffect"] = "CoatStor_qmdzg",
		},
		--第一名要显示的信息
		[8] = {
			["ShowInfo"] = 0x000003CF;
			--排名的背景光效
			["BgEffect"] = "CoatStor_btnxh",
			--控件大小，至少要比头像大，同于响应点击操作
			["RealSize"] = 64,
			--头像框
			["FgHead"] = "CoatStor_Ranktxk9",
			--前景光效
			["FgEffect"] = "CoatStor_qmdzg",
		},
		--第一名要显示的信息
		[9] = {
			["ShowInfo"] = 0x000003CF;
			--排名的背景光效
			["BgEffect"] = "CoatStor_btnxh",
			--控件大小，至少要比头像大，同于响应点击操作
			["RealSize"] = 64,
			--头像框
			["FgHead"] = "CoatStor_Ranktxk10",
			--前景光效
			["FgEffect"] = "CoatStor_qmdzg",
		},


	}
}


--注意
--奖励相关的配置比如图片还有名字，请直接在GUI里面配置（用Cn_Res.ini配置字符串）
local DlgInfo = {
	[COAT_COLLECT_RANK] = {
		--提示使用物品的光效
		["IconEffect"] = "coatstor_djjh",
		--物品不足的图片
		["BuyIcon"] = "CoatStor_WZgoumai",
		--排行榜需要显示几名
		["RankNum"] = 10,
		--冲分物品有几种
		["IconNum"] = 3,
		--冲分物品的偏移
		["IconOffsetX"] = 50,
		--排行榜文字信息的背景图
		["BgHead"] = "blank",
		--分数图片，如外套排行榜的爱心
		["ScoreImg"] = "CoatStor_qimidu",
		--正常模式下语句切换的时间间隔
		["NormalTime"] = 3000,
		--其他模式停留多久后切换回正常模式
		["ChangeType"] = 10000,
		--渐隐渐现速度
		["AlphaSpeed"] = 8,
	},
	
	[COAT_COLLECT_RANK1] = {
		--提示使用物品的光效
		["IconEffect"] = "coatstor_djjh",
		--物品不足的图片
		["BuyIcon"] = "CoatStor_WZgoumai",
		--排行榜需要显示几名
		["RankNum"] = 10,
		--冲分物品有几种
		["IconNum"] = 3,
		--冲分物品的偏移
		["IconOffsetX"] = 50,
		--排行榜文字信息的背景图
		["BgHead"] = "blank",
		--分数图片，如外套排行榜的爱心
		["ScoreImg"] = "CoatStor_qimidu",
		--正常模式下语句切换的时间间隔
		["NormalTime"] = 3000,
		--其他模式停留多久后切换回正常模式
		["ChangeType"] = 10000,
		--渐隐渐现速度
		["AlphaSpeed"] = 8,
	},

}

local ShowIconInfo = {
	[3]= {
		["IconX"] = 110,
		["IconY"] = 37,
		["IconOffsetX"] = 120,
		["NumX"] = 100,
		["NumY"] = 100,
		["NumOffsetX"] = 120,
	},	
	[4]= {
		["IconX"] = 90,
		["IconY"] = 37,
		["IconOffsetX"] = 100,
		["NumX"] = 78,
		["NumY"] = 107,
		["NumOffsetX"] = 100,
	}

}

--配置界面中的几个光效注意：
-- key以0结尾的是全屏光效的配置
-- 1结尾的是开启光效
-- 2结尾的是按钮光效，亲密度按钮的光效
-- 3结尾的是第一名的光效
local EffectInfo = {
	--第一层是排行榜的索引，具体索引在TaskRankInfo里面查询
	[COAT_COLLECT_RANK] = {
		--开启光效的偏移去调整GUI.ini文件，光效控件ID为6131
		["EffectType1"] = "CoatStor_open",
		--开启光效的时长，可以理解成多久后显示数据和允许操作
		["OpenEffectTime"] = 1000,
		
		--全屏花瓣光效的偏移值
		["EffectType0"] = "CoatStor_hb",
		["OffsetX0"] = 587,
		["OffsetY0"] = 290,
		
		--冲分按钮的光效
		["EffectType2"] = "CoatStor_tb",
		["OffsetX2"] = 120,
		["OffsetY2"] = -173,
	},
	
	--第一层是排行榜的索引，具体索引在TaskRankInfo里面查询
	[COAT_COLLECT_RANK1] = {
		--开启光效的偏移去调整GUI.ini文件，光效控件ID为6131
		["EffectType1"] = "CoatStor_open",
		--开启光效的时长，可以理解成多久后显示数据和允许操作
		["OpenEffectTime"] = 1000,
		
		--全屏花瓣光效的偏移值
		["EffectType0"] = "CoatStor_hb",
		["OffsetX0"] = 587,
		["OffsetY0"] = 290,
		
		--冲分按钮的光效
		["EffectType2"] = "CoatStor_tb",
		["OffsetX2"] = 120,
		["OffsetY2"] = -173,
	},
}

--中间花魁的资源名称
local UIImgInfo = {
	--第一层是排行榜的索引，具体索引在TaskRankInfo里面查询
	[COAT_COLLECT_RANK] = {
		--第一名要显示的花魁资源
		[1] = {
			--value值是UIImgInfoNew中的索引,[1]是默认显示的花魁
			[1] =3,
			[2] =2,
			[3] =1,
		},
		[2] = {
			[1] =2,
			[2] =1,
		},
		[3] = {
			[1] =1,
		},
	},
	
	[COAT_COLLECT_RANK1] = {
		--第一名要显示的花魁资源
		[1] = {
			--value值是UIImgInfoNew中的索引,[1]是默认显示的花魁
			[1] =3,
			[2] =2,
			[3] =1,
		},
		[2] = {
			[1] =2,
			[2] =1,
		},
		[3] = {
			[1] =1,
		},
	}
}

local UIImgInfoNew = {
	[COAT_COLLECT_RANK] = {
		--Id
		[1] ={
			--花魁的文件名
			["Img"] = "CoatStor_rwlv",
			--花魁的光效
			["Effect"] = "CoatStor_rw3",
			--下面填写Rgn文件的地址
			["FilePath"] = "data\\interface\\coatstor\\rwlv.rgn",
			--对应的任务ID
			["TaskId"] = 0,
		},
		[3] ={
			["Img"] = "CoatStor_rwzi",
			["Effect"] = "CoatStor_rw2",
			["FilePath"] = "data\\interface\\coatstor\\rwzi.rgn",
			["TaskId"] = 0,
		},
		[2] ={
			["Img"] = "CoatStor_rwfen",
			["Effect"] = "CoatStor_rw1",
			["FilePath"] = "data\\interface\\coatstor\\rwfen.rgn",
			["TaskId"] = 0,
		},
	},
	
	[COAT_COLLECT_RANK1] = {
		--Id
		[1] ={
			--花魁的文件名
			["Img"] = "CoatStor_rwlv",
			--花魁的光效
			["Effect"] = "CoatStor_rw3",
			--下面填写Rgn文件的地址
			["FilePath"] = "data\\interface\\coatstor\\rwlv.rgn",
			--对应的任务ID
			["TaskId"] = 0,
		},
		[3] ={
			["Img"] = "CoatStor_rwzi",
			["Effect"] = "CoatStor_rw2",
			["FilePath"] = "data\\interface\\coatstor\\rwzi.rgn",
			["TaskId"] = 0,
		},
		[2] ={
			["Img"] = "CoatStor_rwfen",
			["Effect"] = "CoatStor_rw1",
			["FilePath"] = "data\\interface\\coatstor\\rwfen.rgn",
			["TaskId"] = 0,
		},
	}
}


local NewWordInfo = {
	[COAT_COLLECT_RANK] = {
		--正常模式下
		[NORMAL_WORD] = {
			--第一名的对话内容
			[1] = {
				--第一套花魁的对话
				[1] = {
					[1] = "Get together for\nhappiness and rewards!",
					[2] = "Rain or shine, CO\nis always by your side.",
					[3] = "My heart will go\non with CO.",
					[4] = "Surprises abound\nfor CO Anniversary.",
				},
				--第二套花魁的对话
				[2] = {
					[1] = "Brilliant CO Anniversary!\nEnjoy luxurious rewards!",
					[2] = "Heroes around the world get\ntogether for the prosperity of CO!",
					[3] = "CO hasn`t aged, neither\nhas Hero`s ambition.",
					[4] = "Celebrate the Anniversary\nfor CO and harvest wonderful rewards!",
				},
				--第三套花魁的对话
				[3] = {
					[1] = "CO 18th Anniversary! Top\nthe game to share the glory.",
					[2] = "Write down your name in\nhero rankings and be the real\nconqueror in CO!",
					[3] = "Heroes gather for rewards.\nWitness your growth in CO!",
					[4] = "18 years of glory,\n18 years of company.",
				},
			},
			--第二名的对话内容
			[2] = {
				--第一套花魁的对话
				[1] = {
					[1] = "Get together for\nhappiness and rewards!",
					[2] = "Rain or shine, CO\nis always by your side.",
					[3] = "My heart will go\non with CO.",
					[4] = "Surprises abound\nfor CO Anniversary.",
				},
				--第二套花魁的对话
				[2] = {
					[1] = "Brilliant CO Anniversary!\nEnjoy luxurious rewards!",
					[2] = "Heroes around the world\nget together for the prosperity of CO!",
					[3] = "CO hasn`t aged, neither\nhas Hero`s ambition.",
					[4] = "Celebrate the Anniversary\nfor CO and harvest wonderful rewards!",
				},
			},
			--第三名及以后的对话内容
			[3] = {
				--第一套花魁的对话
				[1] = {
					[1] = "CO 18th Anniversary! Top\nthe game to share the glory.",
					[2] = "Write down your name in hero\nrankings and be the real\nconqueror in CO!",
					[3] = "Heroes gather for rewards.\nWitness your growth in CO!",
					[4] = "18 years of glory,\n18 years of company.",
				},
			},
		},
		--冲分对话内容
		[ADD_SCORE_WORD] = {
			--第一名的对话内容
			[1] = {
				--第一套花魁的对话
				[1] = {
					[1] = "第一名第一套花魁第1句",
					[2] = "第一名第一套花魁第2句",
					[3] = "第一名第一套花魁第3句",
					[4] = "第一名第一套花魁第4句",
				},
				--第二套花魁的对话
				[2] = {
					[1] = "第一名第2套花魁第1句",
					[2] = "第一名第2套花魁第2句",
					[3] = "第一名第2套花魁第3句",
					[4] = "第一名第3套花魁第4句",
				},
				--第三套花魁的对话
				[3] = {
					[1] = "第一名第3套花魁第1句",
					[2] = "第一名第3套花魁第2句",
					[3] = "第一名第3套花魁第3句",
					[4] = "第一名第3套花魁第4句",
				},
			},
			--第二名的对话内容
			[2] = {
				--第一套花魁的对话
				[1] = {
					[1] = "第2名第一套花魁第1句",
					[2] = "第2名第一套花魁第2句",
					[3] = "第2名第一套花魁第3句",
					[4] = "第2名第一套花魁第4句",
				},
				--第二套花魁的对话
				[2] = {
					[1] = "第2名第2套花魁第1句",
					[2] = "第2名第2套花魁第2句",
					[3] = "第2名第2套花魁第3句",
					[4] = "第2名第3套花魁第4句",
				},
			},
			--第三名及以后的对话内容
			[3] = {
				--第一套花魁的对话
				[1] = {
					[1] = "第X名第一套花魁第1句",
					[2] = "第X名第一套花魁第2句",
					[3] = "第X名第一套花魁第3句",
					[4] = "第X名第一套花魁第4句",
				},
			},
		},
		--任务对话
		[TASK_WORD] = {
			--第一名的对话内容
			[1] = {
				--第一套花魁的对话
				[1] = {
					[1] = "第一名第一套花魁第1句",
					[2] = "第一名第一套花魁第2句",
					[3] = "第一名第一套花魁第3句",
					[4] = "第一名第一套花魁第4句",
				},
				--第二套花魁的对话
				[2] = {
					[1] = "第一名第2套花魁第1句",
					[2] = "第一名第2套花魁第2句",
					[3] = "第一名第2套花魁第3句",
					[4] = "第一名第3套花魁第4句",
				},
				--第三套花魁的对话
				[3] = {
					[1] = "第一名第3套花魁第1句",
					[2] = "第一名第3套花魁第2句",
					[3] = "第一名第3套花魁第3句",
					[4] = "第一名第3套花魁第4句",
				},
			},
			--第二名的对话内容
			[2] = {
				--第一套花魁的对话
				[1] = {
					[1] = "第2名第一套花魁第1句",
					[2] = "第2名第一套花魁第2句",
					[3] = "第2名第一套花魁第3句",
					[4] = "第2名第一套花魁第4句",
				},
				--第二套花魁的对话
				[2] = {
					[1] = "第2名第2套花魁第1句",
					[2] = "第2名第2套花魁第2句",
					[3] = "第2名第2套花魁第3句",
					[4] = "第2名第3套花魁第4句",
				},
			},
			--第三名及以后的对话内容
			[3] = {
				--第一套花魁的对话
				[1] = {
					[1] = "第X名第一套花魁第1句",
					[2] = "第X名第一套花魁第2句",
					[3] = "第X名第一套花魁第3句",
					[4] = "第X名第一套花魁第4句",
				},
			},
		},
	},
	[COAT_COLLECT_RANK1] = {
		--正常模式下
		[NORMAL_WORD] = {
			--第一名的对话内容
			[1] = {
				--第一套花魁的对话
				[1] = {
					[1] = "Get together for\nhappiness and rewards!",
					[2] = "Rain or shine, CO\nis always by your side.",
					[3] = "My heart will go\non with CO.",
					[4] = "Surprises abound\nfor CO Anniversary.",
				},
				--第二套花魁的对话
				[2] = {
					[1] = "Brilliant CO Anniversary!\nEnjoy luxurious rewards!",
					[2] = "Heroes around the world get\ntogether for the prosperity of CO!",
					[3] = "CO hasn`t aged, neither\nhas Hero`s ambition.",
					[4] = "Celebrate the Anniversary\nfor CO and harvest wonderful rewards!",
				},
				--第三套花魁的对话
				[3] = {
					[1] = "CO 18th Anniversary! Top\nthe game to share the glory.",
					[2] = "Write down your name in\nhero rankings and be the real\nconqueror in CO!",
					[3] = "Heroes gather for rewards.\nWitness your growth in CO!",
					[4] = "18 years of glory,\n18 years of company.",
				},
			},
			--第二名的对话内容
			[2] = {
				--第一套花魁的对话
				[1] = {
					[1] = "Get together for\nhappiness and rewards!",
					[2] = "Rain or shine, CO\nis always by your side.",
					[3] = "My heart will go\non with CO.",
					[4] = "Surprises abound\nfor CO Anniversary.",
				},
				--第二套花魁的对话
				[2] = {
					[1] = "Brilliant CO Anniversary!\nEnjoy luxurious rewards!",
					[2] = "Heroes around the world\nget together for the prosperity of CO!",
					[3] = "CO hasn`t aged, neither\nhas Hero`s ambition.",
					[4] = "Celebrate the Anniversary\nfor CO and harvest wonderful rewards!",
				},
			},
			--第三名及以后的对话内容
			[3] = {
				--第一套花魁的对话
				[1] = {
					[1] = "CO 18th Anniversary! Top\nthe game to share the glory.",
					[2] = "Write down your name in hero\nrankings and be the real\nconqueror in CO!",
					[3] = "Heroes gather for rewards.\nWitness your growth in CO!",
					[4] = "18 years of glory,\n18 years of company.",
				},
			},
		},
		--冲分对话内容
		[ADD_SCORE_WORD] = {
			--第一名的对话内容
			[1] = {
				--第一套花魁的对话
				[1] = {
					[1] = "第一名第一套花魁第1句",
					[2] = "第一名第一套花魁第2句",
					[3] = "第一名第一套花魁第3句",
					[4] = "第一名第一套花魁第4句",
				},
				--第二套花魁的对话
				[2] = {
					[1] = "第一名第2套花魁第1句",
					[2] = "第一名第2套花魁第2句",
					[3] = "第一名第2套花魁第3句",
					[4] = "第一名第3套花魁第4句",
				},
				--第三套花魁的对话
				[3] = {
					[1] = "第一名第3套花魁第1句",
					[2] = "第一名第3套花魁第2句",
					[3] = "第一名第3套花魁第3句",
					[4] = "第一名第3套花魁第4句",
				},
			},
			--第二名的对话内容
			[2] = {
				--第一套花魁的对话
				[1] = {
					[1] = "第2名第一套花魁第1句",
					[2] = "第2名第一套花魁第2句",
					[3] = "第2名第一套花魁第3句",
					[4] = "第2名第一套花魁第4句",
				},
				--第二套花魁的对话
				[2] = {
					[1] = "第2名第2套花魁第1句",
					[2] = "第2名第2套花魁第2句",
					[3] = "第2名第2套花魁第3句",
					[4] = "第2名第3套花魁第4句",
				},
			},
			--第三名及以后的对话内容
			[3] = {
				--第一套花魁的对话
				[1] = {
					[1] = "第X名第一套花魁第1句",
					[2] = "第X名第一套花魁第2句",
					[3] = "第X名第一套花魁第3句",
					[4] = "第X名第一套花魁第4句",
				},
			},
		},
		--任务对话
		[TASK_WORD] = {
			--第一名的对话内容
			[1] = {
				--第一套花魁的对话
				[1] = {
					[1] = "第一名第一套花魁第1句",
					[2] = "第一名第一套花魁第2句",
					[3] = "第一名第一套花魁第3句",
					[4] = "第一名第一套花魁第4句",
				},
				--第二套花魁的对话
				[2] = {
					[1] = "第一名第2套花魁第1句",
					[2] = "第一名第2套花魁第2句",
					[3] = "第一名第2套花魁第3句",
					[4] = "第一名第3套花魁第4句",
				},
				--第三套花魁的对话
				[3] = {
					[1] = "第一名第3套花魁第1句",
					[2] = "第一名第3套花魁第2句",
					[3] = "第一名第3套花魁第3句",
					[4] = "第一名第3套花魁第4句",
				},
			},
			--第二名的对话内容
			[2] = {
				--第一套花魁的对话
				[1] = {
					[1] = "第2名第一套花魁第1句",
					[2] = "第2名第一套花魁第2句",
					[3] = "第2名第一套花魁第3句",
					[4] = "第2名第一套花魁第4句",
				},
				--第二套花魁的对话
				[2] = {
					[1] = "第2名第2套花魁第1句",
					[2] = "第2名第2套花魁第2句",
					[3] = "第2名第2套花魁第3句",
					[4] = "第2名第3套花魁第4句",
				},
			},
			--第三名及以后的对话内容
			[3] = {
				--第一套花魁的对话
				[1] = {
					[1] = "第X名第一套花魁第1句",
					[2] = "第X名第一套花魁第2句",
					[3] = "第X名第一套花魁第3句",
					[4] = "第X名第一套花魁第4句",
				},
			},
		},
	},
}

local UseIconType = {
	[COAT_COLLECT_RANK] = {
		--此处填写物品的type。Type和是否是赠品属性
		[0] = {
			["IconType"] = 3334546,
			["IconScore"] = 1000,
			["nMonoploy"] = 0,
		},
		[1] = {
			["IconType"] = 3334547,
			["IconScore"] = 100,
			["nMonoploy"] = 0,
		},
		[2] = {
			["IconType"] = 3334548,
			["IconScore"] = 10,
			["nMonoploy"] = 0,
		},
		-- [3] = {
		-- 	["IconType"] = 1000000,
		-- 	["IconScore"] = 10000,
		-- 	["nMonoploy"] = 0,
		-- },
	},
	
	[COAT_COLLECT_RANK1] = {
		--此处填写物品的type。Type和是否是赠品属性
		[0] = {
			["IconType"] = 3334546,
			["IconScore"] = 1000,
			["nMonoploy"] = 0,
		},
		[1] = {
			["IconType"] = 3334547,
			["IconScore"] = 100,
			["nMonoploy"] = 0,
		},
		[2] = {
			["IconType"] = 3334548,
			["IconScore"] = 10,
			["nMonoploy"] = 0,
		},
		-- [3] = {
		-- 	["IconType"] = 1000000,
		-- 	["IconScore"] = 10000,
		-- 	["nMonoploy"] = 0,
		-- },
	},
}

local ModelInfo = {
	[COAT_COLLECT_RANK] = {
		["3Dmodel"] = {
			--排行榜称号的大小
			["TitleScale"] = 0.5,
			--排行榜称号的偏移值
			["TitleOffsetY"] = 50,
		},
		["ShowInfo"] = {
			--外观值，目前只有用到look
			["nLookFace"] = 2162007,
			--职业，如果铁扇会有职业光环
			["dwProfession"] = 2014,
			--发型
			["nHair"] = 101,
			--坐骑、等级和颜色
			["nMount"] = 200766,
			["nMountLev"]=0,
			["nMountColor"] = 0,
			--头盔
			["nHelmet"] = 0,
			--盔甲
			["nArmor"] = 199255,
			--左右手武器外套
			["nWeaponLCoat"] = 0,
			["nWeaponRCoat"] = 0,
			--翅膀Id和等级
			["nWing"] = 0,
			["nWingLev"] = 0,
			--称号，通过Type和Id去storage.ini里面去配置，nTitile前四位为Type后四位为Id
			["nTitle"] = 0,
			--状态光效
			["nStatus"] = 0,
		},
		
	},
}

--获取当前排名要读取的是哪个等级的资源
local function GetRanktoLev(nRankType, nRank)
	if nRank == 0 or nRank >= 3 then
		nRank = 3	
	end
	
	if nRankType == COAT_COLLECT_RANK1 then
		if nRank == 0 or nRank >= 3 then
			nRank = 3	
		end
	end
	
	return nRank
end

--获得当前排名最多能展示几种花魁
local function GetRankMaxUINum(nRankType, nRank)
	nRank = GetRanktoLev(nRankType, nRank)
	return #UIImgInfo[COAT_COLLECT_RANK][nRank]
end

--获得排行榜相关的花魁总数
local function GetUINum(nRankType)
	return #UIImgInfoNew[COAT_COLLECT_RANK]
end

--获取该Id在该排名下的索引
--此处的id就是花魁资源在UIImgInfoNew里面的索引
local function GetIndexByIdInRank(nRankType, nRank, id)
	nRank = GetRanktoLev(COAT_COLLECT_RANK, nRank)

	local info = UIImgInfoNew[COAT_COLLECT_RANK][nRank]

	if info == nil then
		--到这里表示这个rank等级压根没有花魁可以显示
		return 0
	end

	for i, v in ipairs(info) do
		if id == v then
			return i
		end
	end

	--找不到该资源返回默认的花魁索引也就是1
	return 1
end

--不同排行榜类型对应的窗口
local function GetRankAwardIDD(nRankType)
	if nRankType >= 50000 then
		return nRankType + 100
	end
	return 3820
end

--排行榜奖励
local RankAward = {
	[COAT_COLLECT_RANK] = {
	--第1名奖励
	[0] = {
		["Count"] = 3,
		[0] = {
			["ItemType"] = 3347157,
			["Count"] = 10,
			["Monopoly"] = 0,
		},
		[1] = {
			["ItemType"] = 3322813,
			["Count"] = 5,
			["Monopoly"] = 3,
		},
		[2] = {
			["ItemType"] = 3328247,
			["Count"] = 1500,
			["Monopoly"] = 0,
		},
	},
	--2~3名奖励
	[1] = {
		["Count"] = 3,
		[0] = {
			["ItemType"] = 3347157,
			["Count"] = 6,
			["Monopoly"] = 0,
		},
		[1] = {
			["ItemType"] = 3322813,
			["Count"] = 3,
			["Monopoly"] = 3,
		},
		[2] = {
			["ItemType"] = 3328247,
			["Count"] = 1000,
			["Monopoly"] = 0,
		},
	},
	--4~6名奖励
	[2] = {
		["Count"] = 3,
		[0] = {
			["ItemType"] = 3347157,
			["Count"] = 4,
			["Monopoly"] = 0,
		},
		[1] = {
			["ItemType"] = 3322813,
			["Count"] = 2,
			["Monopoly"] = 3,
		},
		[2] = {
			["ItemType"] = 3328247,
			["Count"] = 800,
			["Monopoly"] = 0,
		},
	},
	--7~10名奖励
	[3] = {
		["Count"] = 3,
		[0] = {
			["ItemType"] = 3347157,
			["Count"] = 2,
			["Monopoly"] = 0,
		},
		[1] = {
			["ItemType"] = 3322813,
			["Count"] = 1,
			["Monopoly"] = 3,
		},
		[2] = {
			["ItemType"] = 3328247,
			["Count"] = 500,
			["Monopoly"] = 0,
		},
	},
	},


	[50037] = {
	--第1名奖励
	[0] = {
		["Count"] = 1,
		[0] = {
			["ItemType"] = 3349089,
			["Count"] = 1,
			["Monopoly"] = 0,
		},
	},
	--2~3名奖励
	[1] = {
		["Count"] = 1,
		[0] = {
			["ItemType"] = 3349090,
			["Count"] = 1,
			["Monopoly"] = 0,
		},
	},
	--4~6名奖励
	[2] = {
		["Count"] = 1,
		[0] = {
			["ItemType"] = 3349091,
			["Count"] = 1,
			["Monopoly"] = 0,
		},
	},
	--7~10名奖励
	[3] = {
		["Count"] = 1,
		[0] = {
			["ItemType"] = 3349092,
			["Count"] = 1,
			["Monopoly"] = 0,
		},
	},
	},
	[50053] = {
	--第1名奖励
	[0] = {
		["Count"] = 4,
		[0] = {
			["ItemType"] = 3347157,
			["Count"] = 15,
			["Monopoly"] = 0,
		},
		[1] = {
			["ItemType"] = 3009103,
			["Count"] = 5,
			["Monopoly"] = 0,
		},
		[2] = {
			["ItemType"] = 3349774,
			["Count"] = 2,
			["Monopoly"] = 3,
		},
		[3] = {
			["ItemType"] = 3349775,
			["Count"] = 1,
			["Monopoly"] = 0,
		},
		
		
	},
	--2~3名奖励
	[1] = {
		["Count"] = 4,
		[0] = {
			["ItemType"] = 3347157,
			["Count"] = 12,
			["Monopoly"] = 0,
		},
		[1] = {
			["ItemType"] = 3009103,
			["Count"] = 5,
			["Monopoly"] = 0,
		},
		[2] = {
			["ItemType"] = 3349774,
			["Count"] = 2,
			["Monopoly"] = 3,
		},
		[3] = {
			["ItemType"] = 3349775,
			["Count"] = 1,
			["Monopoly"] = 0,
		},
	},
	--4~6名奖励
	[2] = {
		["Count"] = 4,
		[0] = {
			["ItemType"] = 3347157,
			["Count"] = 9,
			["Monopoly"] = 0,
		},

		[1] = {
			["ItemType"] = 3009103,
			["Count"] = 4,
			["Monopoly"] = 0,
		},
		[2] = {
			["ItemType"] = 3349774,
			["Count"] = 2,
			["Monopoly"] = 3,
		},
		[3] = {
			["ItemType"] = 3349776,
			["Count"] = 1,
			["Monopoly"] = 0,
		},
	},
	--7~10名奖励
	[3] = {
		["Count"] = 4,
		[0] = {
			["ItemType"] = 3347157,
			["Count"] = 8,
			["Monopoly"] = 0,
		},
		[1] = {
			["ItemType"] = 3009103,
			["Count"] = 3,
			["Monopoly"] = 0,
		},

		[2] = {
			["ItemType"] = 3349774,
			["Count"] = 2,
			["Monopoly"] = 3,
		},
		[3] = {
			["ItemType"] = 3349777,
			["Count"] = 1,
			["Monopoly"] = 0,
		},	
	
	},
	},
	[50046] = {
	--第1名奖励
	[0] = {
		["Count"] = 3,
		[0] = {
			["ItemType"] = 3348354,
			["Count"] = 1,
			["Monopoly"] = 3,
		},
		[1] = {
			["ItemType"] = 3335926,
			["Count"] = 1,
			["Monopoly"] = 1,
		},
		[2] = {
			["ItemType"] = 3344446,
			["Count"] = 25,
			["Monopoly"] = 1,
		},
	},
	--2~3名奖励
	[1] = {
		["Count"] = 3,
		[0] = {
			["ItemType"] = 3348355,
			["Count"] = 1,
			["Monopoly"] = 3,
		},
		[1] = {
			["ItemType"] = 3335925,
			["Count"] = 1,
			["Monopoly"] = 1,
		},
		[2] = {
			["ItemType"] = 3344446,
			["Count"] = 25,
			["Monopoly"] = 1,
		},
	},
	--4~6名奖励
	[2] = {
		["Count"] = 3,
		[0] = {
			["ItemType"] = 3348356,
			["Count"] = 1,
			["Monopoly"] = 3,
		},
		[1] = {
			["ItemType"] = 3335924,
			["Count"] = 1,
			["Monopoly"] = 1,
		},
		[2] = {
			["ItemType"] = 3344446,
			["Count"] = 20,
			["Monopoly"] = 1,
		},
	},
	--7~10名奖励
	[3] = {
		["Count"] = 3,
		[0] = {
			["ItemType"] = 3348357,
			["Count"] = 1,
			["Monopoly"] = 3,
		},
		[1] = {
			["ItemType"] = 3335924,
			["Count"] = 1,
			["Monopoly"] = 1,
		},
		[2] = {
			["ItemType"] = 3344446,
			["Count"] = 15,
			["Monopoly"] = 1,
		},
	},
	},
}


--排行榜奖励
local RankAwardOldSoldier = {
	[COAT_COLLECT_RANK] = {
	--第1名奖励
	[0] = {
		["Count"] = 3,
		[0] = {
			["ItemType"] = 3347157,
			["Count"] = 10,
			["Monopoly"] = 0,
		},
		[1] = {
			["ItemType"] = 3322813,
			["Count"] = 5,
			["Monopoly"] = 3,
		},
		[2] = {
			["ItemType"] = 3328247,
			["Count"] = 1500,
			["Monopoly"] = 0,
		},
	},
	--2~3名奖励
	[1] = {
		["Count"] = 3,
		[0] = {
			["ItemType"] = 3347157,
			["Count"] = 6,
			["Monopoly"] = 0,
		},
		[1] = {
			["ItemType"] = 3322813,
			["Count"] = 3,
			["Monopoly"] = 3,
		},
		[2] = {
			["ItemType"] = 3328247,
			["Count"] = 1000,
			["Monopoly"] = 0,
		},
	},
	--4~6名奖励
	[2] = {
		["Count"] = 3,
		[0] = {
			["ItemType"] = 3347157,
			["Count"] = 4,
			["Monopoly"] = 0,
		},
		[1] = {
			["ItemType"] = 3322813,
			["Count"] = 2,
			["Monopoly"] = 3,
		},
		[2] = {
			["ItemType"] = 3328247,
			["Count"] = 800,
			["Monopoly"] = 0,
		},
	},
	--7~10名奖励
	[3] = {
		["Count"] = 3,
		[0] = {
			["ItemType"] = 3347157,
			["Count"] = 2,
			["Monopoly"] = 0,
		},
		[1] = {
			["ItemType"] = 3322813,
			["Count"] = 1,
			["Monopoly"] = 3,
		},
		[2] = {
			["ItemType"] = 3328247,
			["Count"] = 500,
			["Monopoly"] = 0,
		},
	},
	},
	
	[50037] = {
	--第1名奖励
	[0] = {
		["Count"] = 1,
		[0] = {
			["ItemType"] = 3349093,
			["Count"] = 1,
			["Monopoly"] = 0,
		},
	},
	--2~3名奖励
	[1] = {
		["Count"] = 1,
		[0] = {
			["ItemType"] = 3349094,
			["Count"] = 1,
			["Monopoly"] = 0,
		},
	},
	--4~6名奖励
	[2] = {
		["Count"] = 1,
		[0] = {
			["ItemType"] = 3349095,
			["Count"] = 1,
			["Monopoly"] = 0,
		},
	},
	--7~10名奖励
	[3] = {
		["Count"] = 1,
		[0] = {
			["ItemType"] = 3349096,
			["Count"] = 1,
			["Monopoly"] = 0,
		},
	},
	}
}

--用于排行榜头像的显示
local function GetRankInfo(nRankType, nRank, nType)
	return RankInfo[COAT_COLLECT_RANK][nRank][nType]
end


local function GetModelInfo(nRankType, nType, nType1)
	return ModelInfo[COAT_COLLECT_RANK][nType][nType1]
end

--获取光效信息
local function GetEffectInfo (nRankType, nType, default)
	local nValue = EffectInfo[COAT_COLLECT_RANK][nType]

	if nValue == nil then
		return default
	end

	return EffectInfo[COAT_COLLECT_RANK][nType]
end
--获取要显示的花魁在资源集合中的索引
local function GetUIIndex(nRankType, nRank, nIndex)

	nRank = GetRanktoLev(COAT_COLLECT_RANK, nRank)

	if nIndex > #UIImgInfo[COAT_COLLECT_RANK][nRank] then
		return UIImgInfo[COAT_COLLECT_RANK][nRank][1]
	end

	return  UIImgInfo[COAT_COLLECT_RANK][nRank][nIndex]
end

--通过Id和类型获得资源
local function GetUIImgInfoById(nRankType, nId, nType)
	return UIImgInfoNew[COAT_COLLECT_RANK][nId][nType]
end

--获取花魁图片
local function GetUIImgInfo(nRankType, nRank, nIndex, nType)
	nRank = GetRanktoLev(COAT_COLLECT_RANK, nRank)
	local TypeIndex = GetUIIndex(COAT_COLLECT_RANK, nRank, nIndex)
	if TypeIndex == 0 then
		return 0
	end

	return GetUIImgInfoById(COAT_COLLECT_RANK, TypeIndex, nType)
end


--获取正常状态下的对话
local function GetNormalWordInfo(COAT_COLLECT_RANK, nRank, nImgIndex, nIndex)

	nRank = GetRanktoLev(COAT_COLLECT_RANK, nRank)

	if nIndex > #NewWordInfo[COAT_COLLECT_RANK][NORMAL_WORD][nImgIndex][nRank] then
		return NewWordInfo[COAT_COLLECT_RANK][NORMAL_WORD][nRank][nImgIndex][1]
	end
	
	return NewWordInfo[COAT_COLLECT_RANK][NORMAL_WORD][nRank][nImgIndex][nIndex]
end

--获取冲分状态下的对话
--nClick点击的次数、nCueScore是目前我的总分、nAddScore是本轮我增加了几分
local function GetAddScoreWordInfo(nRankType, nRank, nImgIndex, nIndex, nClick, nCurScore, nAddScore)
	
	local strInfo = "You have used the item for ".. math.ceil(nClick) .. " time(s).\nCurrent Point: " ..  math.ceil(nCurScore) .. "\nYou increased " ..  math.ceil(nAddScore) .. " point(s) in total this time."
   return strInfo
end

--获取任务未完成时候的对话
--nClick点击的次数	nImgIndex 1是绿 2是粉的 3是紫色  
local function GetTaskWordInfo(COAT_COLLECT_RANK, nRank, nImgIndex, nIndex, nClick)
	local strInfo = ""
	local nFlag = UIImgInfo[COAT_COLLECT_RANK][nRank][nImgIndex]
	--等于1为要解锁粉色
	if nFlag == 1 then
		strInfo = "Accumulate 30k points to meet the beauty."
	--等于2为要解锁紫色
	elseif nFlag == 2 then
		strInfo = "Accumulate 50k points to meet your soul mate."	
	end

	return strInfo
end



--编写花魁图片切换的逻辑
--nRankType时排行榜种类
--nRank时当前排名，第一名的值为1
--nCurIndex是目前显示的索引
--nLockIndex目前未解锁的ID
--如果到时候配置的数据超过3或者5还要修改一下上方几个获取资源的函数
local function GetShowUIImgIndex(nRankType, nRank, nCurIndex, nLockIndex)
	nRank = GetRanktoLev(COAT_COLLECT_RANK, nRank)

	local nInfo = UIImgInfo[COAT_COLLECT_RANK][nRank]
	local nMax = 0
	if nInfo == nil then
		return 1
	else
		nMax = #nInfo
	end

	--从第一名2变成第三名nCurIndex会大于nMax
	if nMax < nCurIndex then
		return 1
	end

	--如果有未解锁的花魁顺序2-(1未解锁)-3-2-(1未解锁)-3-2-(1未解锁)
	if nLockIndex ~= 0 then
		if nCurIndex == nLockIndex + 1 then
			nCurIndex = nLockIndex
		elseif nCurIndex > nLockIndex + 1 then
			nCurIndex = nCurIndex - 1
		end
	else
		--没有未解锁的花魁就按照321321321的顺序来
		nCurIndex = ((nCurIndex) % nMax) + 1
	end

	return nCurIndex
end

--编写花魁对话切换的逻辑
--nRankType时排行榜种类
--nRank时当前排名，第一名的值为1
--nCurIndex是目前显示的索引
local function GetShowWordIndex(nRankType, nRank, nType, nCurImgIndex, nCurIndex)
	print(COAT_COLLECT_RANK, nRank, nType, nCurImgIndex, nCurIndex)
	nRank = GetRanktoLev(COAT_COLLECT_RANK, nRank)
	local nInfo = NewWordInfo[COAT_COLLECT_RANK][nType][nRank][nCurImgIndex]
	local nMax = 0
	if nInfo == nil then
		return 1
	else
		nMax = #nInfo
	end

		--从第一名2变成第三名nCurIndex会大于nMax
	if nMax < nCurIndex then
		return 1
	else
		nCurIndex = ((nCurIndex) % nMax) + 1
	end

	return nCurIndex
end

--这些要用不用动
local function GetShowIconInfo(nNum, nIndex)
	return ShowIconInfo[nNum][nIndex]
end



local function GetIconInfo(nRankType, type, nIndex)
	return UseIconType[nRankType][nIndex][type]
end

local function GetDlgInfo(nRankType,type, default)
	return DlgInfo[COAT_COLLECT_RANK][type]
end

--获取当前排行榜奖励每种排名的数量
local function GetRankAwardAmount(nRankType,nRank)
	--老兵服走另一套
	if UserData_IsOldSoldierServer()  or UserData_IsCoinsServer() then
		local info = RankAwardOldSoldier[nRankType][nRank]["Count"]
		if info ~= nil then
			return info
		end
		return 0
	end

	local info = RankAward[nRankType][nRank]["Count"]
	if info ~= nil then
		return info
	end
	return 0
end
--获取当前排行榜奖励
local function GetRankAward(nRankType, row, col, key)
	--老兵服走另一套
	if UserData_IsOldSoldierServer() or UserData_IsCoinsServer() then
		local info = RankAwardOldSoldier[nRankType][row][col]
		if info ~= nil then
			return info[key]
		end
		return 0
	end 
	
	
	local info = RankAward[nRankType][row][col]
	if info ~= nil then
		return info[key]
	end
	return 0
end


local function Unload()
	DlgInfo = nil
	UIImgInfo = nil
	UseIconType = nil
	ModelInfo = nil
	RankInfo = nil
	ShowIconInfo = nil
	UIImgInfoNew = nil
	NewWordInfo = nil
end

TaskRank = {
	GetUINum = GetUINum,
	GetDlgInfo = GetDlgInfo,
	GetIconInfo = GetIconInfo,
	GetNormalWordInfo = GetNormalWordInfo,
	GetAddScoreWordInfo = GetAddScoreWordInfo,
	GetTaskWordInfo = GetTaskWordInfo,
	GetUIImgInfo = GetUIImgInfo,
	GetShowUIImgIndex = GetShowUIImgIndex,
	GetShowWordIndex = GetShowWordIndex,
	GetRankMaxUINum = GetRankMaxUINum,
	GetModelInfo = GetModelInfo,
	GetRankInfo = GetRankInfo,
	GetUIIndex = GetUIIndex,
	GetShowIconInfo = GetShowIconInfo,
	GetRanktoLev = GetRanktoLev,
	GetIndexByIdInRank = GetIndexByIdInRank,
	GetUIImgInfoById = GetUIImgInfoById,
	GetEffectInfo = GetEffectInfo,
		GetRankAward = GetRankAward,
    GetRankAwardAmount = GetRankAwardAmount,
	GetRankAwardIDD = GetRankAwardIDD,
	Unload = Unload
}

TaskRank_GetDlgInfo = TaskRank.GetDlgInfo
TaskRank_GetIconInfo = TaskRank.GetIconInfo
TaskRank_GetNormalWordInfo = TaskRank.GetNormalWordInfo
TaskRank_GetUIImgInfo = TaskRank.GetUIImgInfo
TaskRank_GetShowUIImgIndex = TaskRank.GetShowUIImgIndex
TaskRank_GetShowWordIndex = TaskRank.GetShowWordIndex
TaskRank_GetModelInfo = TaskRank.GetModelInfo
TaskRank_GetRankInfo = TaskRank.GetRankInfo
TaskRank_GetShowIconInfo = TaskRank.GetShowIconInfo
TaskRank_GetUINum = TaskRank.GetUINum
TaskRank_GetAddScoreWordInfo = TaskRank.GetAddScoreWordInfo
TaskRank_GetTaskWordInfo = TaskRank.GetTaskWordInfo
TaskRank_GetUIIndex = TaskRank.GetUIIndex
TaskRank_GetRankMaxUINum = TaskRank.GetRankMaxUINum
TaskRank_GetRanktoLev = TaskRank.GetRanktoLev
TaskRank_GetIndexByIdInRank = TaskRank.GetIndexByIdInRank
TaskRank_GetUIImgInfoById = TaskRank.GetUIImgInfoById
TaskRank_GetEffectInfo = TaskRank.GetEffectInfo
TaskRank_GetRankAwardAmount = TaskRank.GetRankAwardAmount
TaskRank_GetRankAward = TaskRank.GetRankAward
TaskRank_GetRankAwardIDD = TaskRank.GetRankAwardIDD
return TaskRank